##
##  grep.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         grep
Summary:      Global Regular Expression Print
URL:          http://www.gnu.org/software/grep/
Vendor:       Free Software Foundation
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Searching
License:      GPL
Version:      3.12
Release:      20250410

#   list of sources
Source0:      http://ftp.gnu.org/gnu/grep/grep-%{version}.tar.xz
Patch0:       grep.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  pcre
PreReq:       pcre

%description
    Grep searches the named input FILEs (or standard input if no files are
    named, or the file name - is given) for lines containing a match to the
    given PATTERN. By default, grep prints the matching lines.

%track
    prog grep = {
        version   = %{version}
        url       = http://ftp.gnu.org/gnu/grep/
        regex     = grep-(__VER__)\.tar\.(bz2|gz|xz)
    }

%prep
    %setup -q
    %patch -p0

%build
    ( echo "ac_cv_header_libintl_h=no"
      echo "gt_cv_func_gnugettext1_libintl=no"
      echo "am_cv_func_iconv=no"
    ) >config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    INTLBISON="true" \
    MAKEINFO="true" \
    %{l_bash} ./configure \
        --infodir=%{l_prefix}/info \
        --mandir=%{l_prefix}/man \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --without-libintl-prefix \
        --without-libiconv-prefix \
        --disable-nls
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT" install
    rm  -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    rm  -f $RPM_BUILD_ROOT%{l_prefix}/lib/charset.alias
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2>/dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

